## ros-foxy-rmw-gurumdds-shared-cpp 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmw_gurumdds_shared_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(gurumdds_cmake_module REQUIRED)

find_package(GurumDDS QUIET MODULE)
if(GurumDDS_FOUND)
  find_package(GurumDDS MODULE)
endif()
if(NOT GurumDDS_FOUND)
  ament_package()
  message(WARNING "Could not find GurumDDS - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)

include_directories(include)

ament_export_include_directories(include ${GurumDDS_INCLUDE_DIR})
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)

include_directories(${GurumDDS_INCLUDE_DIR})
link_directories(${GurumDDS_LIBRARY_DIRS})
add_library(
  rmw_gurumdds_shared_cpp
  SHARED
  src/demangle.cpp
  src/event_converter.cpp
  src/names_and_types_helpers.cpp
  src/namespace_prefix.cpp
  src/qos.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_topic_endpoint_info.cpp
  src/rmw_guard_condition.cpp
  src/rmw_logging.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_wait.cpp
  src/types/custom_listener.cpp
)
#target_link_libraries(rmw_gurumdds_shared_cpp gurumdds)
ament_target_dependencies(rmw_gurumdds_shared_cpp
  "rcutils"
  "rmw"
  "GurumDDS")
ament_export_libraries(rmw_gurumdds_shared_cpp)

# Causes the visibility macros to use dllexport rather than dllimport
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rmw_gurumdds_shared_cpp PRIVATE "RMW_GURUMDDS_SHARED_CPP_BUILDING_LIBRARY")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rmw_gurumdds_shared_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_gurumdds_shared_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-foxy-rmw-gurumdds-shared-cpp (1.2.0-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.6-1focal) focal; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.5-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 22 Mar 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.4-1focal) focal; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.3-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 10 Feb 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.2-1focal) focal; urgency=high

  * Wrap up unordered_map with shared_ptr
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 10 Feb 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.1-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.0-1focal) focal; urgency=high

  * Modify unnecessary code
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 16 Nov 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.12-1focal) focal; urgency=high

  * Fix bug: condition of dw/dr seq delete
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.11-1focal) focal; urgency=high

  * Fix bug: condition of dw_seq delete
  * Support static discovery
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 12 Oct 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.10-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.9-1focal) focal; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 22 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.8-1focal) focal; urgency=high

  * Remove datareader listener patch
  * Remove attached waitset conditions on destructor
  * Remove unnecessary operation
  * Contributors: Kumazuma, Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 21 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.7-1focal) focal; urgency=high

  * Move handle sequence delete into right place
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.6-1focal) focal; urgency=high

  * fix typo: check namespace_ allocate
  * Update code about build error on windows
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 06 May 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.5-1focal) focal; urgency=high

  * fix typo
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.4-1focal) focal; urgency=high

  * Change maintainer
  * fix typo
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 09 Mar 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.3-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Nov 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.2-1focal) focal; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.1-1focal) focal; urgency=high

  * Set resource_limit explicitly
  * Fixed compile warnings
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Sun, 05 Jul 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.0-1focal) focal; urgency=high

  * MANUAL_BY_NODE liveliness is deprecated
  * Updated packages to use gurumdds-2.6
  * security_context is renamed to enclave
  * Added incompatible qos support
  * Apply one participant per context API changes
  * Fixed some errors
    * added missing qos finalization
    * fixed issue that topic endpoint info was not handled correctly
    * added null check to builtin datareader callbacks
  * Fixed missing string array finalization
  * Added event init functions
  * Follow changes made to rmw_topic_endpoint_info_array
  * Minor refactoring
  * Fixed some errors
  * Implemented rmw_get_publishers/subscriptions_info_by_topic()
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 03 Jun 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (0.8.2-1focal) focal; urgency=high

  * updated packages to use gurumdds-2.5
  * Contributors: hyeonwoo

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Dec 2019 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (0.8.1-1focal) focal; urgency=high

  * CoreDDS is renamed to GurumDDS
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Thu, 14 Nov 2019 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (0.8.0-1focal) focal; urgency=high

  * added gurumdds dependency to package.xml
  * refactored error handling code
  * wait for announcements after creating entities
  * fixed wrong return value
  * implemented localhost_only feature
  * added localhost_only parameter to rmw_create_node()
  * adjusted sleep time before discovery functions and fixed typos
  * now rmw_wait() can handle events properly
  * rewrote rmw_node_info_and_types
  * fixed indents
  * Implemented rmw_get_client_names_and_types_by_node()


=== debian/control ===
Source: ros-foxy-rmw-gurumdds-shared-cpp
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-gurumdds-cmake-module, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmw-gurumdds-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gurumdds-2.8, ros-foxy-ament-cmake, ros-foxy-gurumdds-cmake-module, ros-foxy-ros-workspace
Description: Code shared on static and dynamic type support of rmw_gurumdds_cpp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rmw-gurumdds-shared-cpp//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
